<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__flash__block__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_flash_block_info_t</compoundname>
    <includes local="no">cyhal_flash.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__flash__block__info__t_1a7066dc8bfd2f85ba0a0a8fa61afe9a9d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_flash_block_info_t::start_address</definition>
        <argsstring />
        <name>start_address</name>
        <briefdescription>
<para>Start address of the memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="116" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="116" />
      </memberdef>
      <memberdef id="structcyhal__flash__block__info__t_1a28cdf0683abfa135ae3711631cb137a7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_flash_block_info_t::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>Size of the flash memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="117" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="117" />
      </memberdef>
      <memberdef id="structcyhal__flash__block__info__t_1ab007e1eb95459c533ed133bb982eaac5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_flash_block_info_t::sector_size</definition>
        <argsstring />
        <name>sector_size</name>
        <briefdescription>
<para>Sector size of the memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="118" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="118" />
      </memberdef>
      <memberdef id="structcyhal__flash__block__info__t_1a50f22883955ce253d7910ca94dcd654d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_flash_block_info_t::page_size</definition>
        <argsstring />
        <name>page_size</name>
        <briefdescription>
<para>Page size of the memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="119" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="119" />
      </memberdef>
      <memberdef id="structcyhal__flash__block__info__t_1a736a77cdecefcca007609dd7b73b9996" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_flash_block_info_t::erase_value</definition>
        <argsstring />
        <name>erase_value</name>
        <briefdescription>
<para>The flash erase value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="120" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="120" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Information about a single block of flash memory. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="121" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" bodystart="114" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_flash.h" line="115" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__flash__block__info__t_1a736a77cdecefcca007609dd7b73b9996" virt="non-virtual"><scope>cyhal_flash_block_info_t</scope><name>erase_value</name></member>
      <member prot="public" refid="structcyhal__flash__block__info__t_1a50f22883955ce253d7910ca94dcd654d" virt="non-virtual"><scope>cyhal_flash_block_info_t</scope><name>page_size</name></member>
      <member prot="public" refid="structcyhal__flash__block__info__t_1ab007e1eb95459c533ed133bb982eaac5" virt="non-virtual"><scope>cyhal_flash_block_info_t</scope><name>sector_size</name></member>
      <member prot="public" refid="structcyhal__flash__block__info__t_1a28cdf0683abfa135ae3711631cb137a7" virt="non-virtual"><scope>cyhal_flash_block_info_t</scope><name>size</name></member>
      <member prot="public" refid="structcyhal__flash__block__info__t_1a7066dc8bfd2f85ba0a0a8fa61afe9a9d" virt="non-virtual"><scope>cyhal_flash_block_info_t</scope><name>start_address</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>